vCenter Client Plug-in Error

After updating to vCenter 7.0 U1 many user face the following client plug-in error

To resolve the client plug-in error, I will provide a quick solution using vCenter Appliance CLI. (Printscreen may not relate together). This solution works on v7 and above.

First you need to check which plugin is causing the error. Therefore check vCenter Administration -> Client Plug-Ins. Here are four plug-ins in “failed” state. We will remove the plugin “EBR”.

Therefore we connect to the vCenter Appliance with putty and run the following command to get the “Service ID” of the plug-in mentioned.

/usr/lib/vmware-lookupsvc/tools/lstool.py list –ep-type com.vmware.cis.vsphereclient.plugin –url http://<YourvCenterFQDN>:7090/lookupservice/sdk

Now we have all required information to remove the client plug-in. 

/usr/lib/vmware-lookupsvc/tools/lstool.py unregister –url http://localhost:7090/lookupservice/sdk –user ‘administrator@vsphere.local’ –password ‘SSOpassword’ –id <Service ID> –no-check-cert

This command removed the “failed” client plug-in from vCenter. Last but not least you need to restart the vCenter web client service. 

vmon-cli -r vsphere-ui

Finally you should no longer see the plug-in mentioned under “Administration” -> “Client Plug-ins”.

You may also like...

Leave a Reply

Your email address will not be published.